Bug 196342 - [MAINTAINER] devel/doxygen: Update to 1.8.9
Summary: [MAINTAINER] devel/doxygen: Update to 1.8.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Antoine Brodin
URL:
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks: 195602
  Show dependency treegraph
 
Reported: 2014-12-28 23:56 UTC by Naram Qashat
Modified: 2014-12-31 06:46 UTC (History)
2 users (show)

See Also:
cyberbotx: exp-run?


Attachments
doxygen-1.8.9.patch (3.86 KB, patch)
2014-12-28 23:56 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2014-12-28 23:56:58 UTC
Created attachment 151054 [details]
doxygen-1.8.9.patch

Update to 1.8.9.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 04:10:29 UTC
Thanks for including those build logs Naram. For future submissions, can you attach them instead as remote references have a nasty habit of going offline, or changing over time.
Comment 3 Naram Qashat 2014-12-29 04:49:22 UTC
I'm usually pretty good about making sure these kind of things don't go offline, since I host them myself. It would be nice if Bugzilla allowed multiple attachments per message, but that's probably asking for a bit. doxygen is quite a complex beast to tame at times.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 04:58:50 UTC
Understood, though its preferable to have all issue information self-contained for future reference as well.

The multiple-attachment dance is annoying, let's hope Bugzilla can improve it in future versions. In the meantime, it would be great if you could :)
Comment 5 Antoine Brodin freebsd_committer 2014-12-29 07:00:00 UTC
Take for exp-run
Comment 6 Antoine Brodin freebsd_committer 2014-12-29 11:18:20 UTC
Hi,
It seems that the plists of all ports using doxygen need to be changed.
Do the doxygen developers plan to stabilize a bit how doxygen works?
Comment 7 Naram Qashat 2014-12-29 15:34:35 UTC
I'm afraid I don't have an answer to that, you'd have to ask them.
Comment 8 commit-hook freebsd_committer 2014-12-31 06:45:30 UTC
A commit references this bug:

Author: antoine
Date: Wed Dec 31 06:45:19 UTC 2014
New revision: 375872
URL: https://svnweb.freebsd.org/changeset/ports/375872

Log:
  Update devel/doxygen to 1.8.9

  PR:		ports/196342
  Submitted by:	Naram Qashat (maintainer)
  Exp-run and fixes to depending ports:	self

Changes:
  head/Mk/bsd.ruby.mk
  head/audio/libmpdclient/Makefile
  head/audio/libmpdclient/pkg-plist
  head/comms/openobex/Makefile
  head/comms/openobex/pkg-plist
  head/comms/qsstv/Makefile
  head/comms/qsstv/pkg-plist
  head/comms/rtl-sdr/Makefile
  head/comms/rtl-sdr/pkg-plist
  head/comms/usrp/Makefile
  head/comms/usrp/pkg-plist
  head/databases/libdrizzle/Makefile
  head/databases/libdrizzle/pkg-plist
  head/devel/doxygen/Makefile
  head/devel/doxygen/distinfo
  head/devel/doxygen/files/patch-md5-dot
  head/devel/libdbusmenu-qt/Makefile
  head/devel/libdbusmenu-qt/pkg-plist
  head/devel/libthai/Makefile
  head/devel/libthai/pkg-plist
  head/devel/protobuf-c/Makefile
  head/devel/protobuf-c/pkg-plist
  head/graphics/partio/Makefile
  head/graphics/partio/pkg-plist
  head/lang/ruby19/pkg-plist
  head/lang/ruby20/pkg-plist
  head/lang/ruby21/pkg-plist
  head/math/fflas-ffpack/Makefile
  head/math/fflas-ffpack/pkg-plist
  head/net/nmsg/Makefile
  head/net/nmsg/pkg-plist
Comment 9 Antoine Brodin freebsd_committer 2014-12-31 06:46:57 UTC
Patch committed, thanks